
Redmine - Patch #35076

Menu manager - generate correct URLs when rendering from a namespaced controller

2021-04-12 12:07 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

extracted from the oauth patch set in #24808

this is the second patch from the series, which enhances the menu manager so it generates proper urls when using controllers

nested in a module namespace (i.e., Doorkeeper::FooController).

Associated revisions

Revision 20945 - 2021-04-15 03:03 - Go MAEDA

Prevent hash type URLs from being namespaced in MenuManager (#35076).

Patch by Jan Schulz-Hofen.

History

#1 - 2021-04-13 21:21 - Marius BĂLTEANU

- Subject changed from menu manager - generate correct URLs when rendering from a namespaced controller to Menu manager - generate correct

URLs when rendering from a namespaced controller

- Target version set to 5.0.0

#2 - 2021-04-15 03:03 - Go MAEDA

- Category set to Code cleanup/refactoring

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#3 - 2021-04-15 03:41 - Go MAEDA

- Status changed from New to Closed

Files
